Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.sifry
Class Utils

    java.lang.Object
      cz.vutbr.feec.utko.fojtoval.krypto.sifry.Utils

    public class Utils

extends java.lang.Object

Pomocne metody, napr. vytvareni nove abecedy, zasifrovani textu atd..

Method Summary
`static java.lang.String` | `abecedaMezery(java.lang.String s)` Ze Stringu bez mezer vytvori String s mezerami.
`static char[]` | `afinni(char[] abeceda, int a, int b)` Vytvori novou abecedu afinni sifry.
`static char[]` | `afinniLus(char[] abeceda, int parametr1, int parametr2)` Desifrovani afinni sifry pomoci zadanych parametru.
`static java.lang.String` | `hledejVzdalenosti(java.lang.String text, java.lang.String retezec)` Vyhleda vzdalenosti mezi zadanym opakovanym retezcem v textu (ktery se vyskytuje vicekrat).
`static char[]` | `monoalfaKlic(char[] abeceda, char[] vstupniklic)` Vytvori novou abecedu monoalfabeticke sifry - varianta klic.
`static char[]` | `monoalfaKlicLus(char[] abeceda, char[] vstupniklic)` Vytvoreni desifrovaci abecedy susbtituce (varianta klic)
`static char[]` | `nahodnaAbeceda(char[] abeceda)` Vytvori novou abecedu monoalfabeticke sifry - nahodna abeceda.
`static char[]` | `posunAbecedu(char[] abeceda, int posun)` Vraci pole charu - upravenou abecedu (posunutou o vstupni parametr).
`static java.lang.String` | `Xtice(java.lang.String text, int delka, int odsazeni)` Vytvori subtext z puvodniho textu (pismena budou ve vzdalenosti 'delka' a posunem zacatku o 'odsazeni').
`static char[]` | `zadaniAbc(char[] abeceda, java.util.List abcd)` Vytvori novou abecedu monoalfabeticke sifry - zadani abecedy.
`static java.lang.String` | `zmenaTextuSubs(java.lang.String source, char[] nabcd, java.lang.Boolean bdofive)` Zasifruje vstupni text jednoduchym posunem.
`static java.lang.String` | `zmenaTextuTrans(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Zasifrovani textu (source) pomoci sifry jednoducha transpozice.
`static java.lang.String` | `zmenaTextuTransLus(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Desifrovani jednoduche transpozice pomoci zadanych parametru.
`static java.lang.String` | `zmenaTextuVig(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Zasifrovani textu (source) pomoci sifry Vigenere.
`static java.lang.String` | `zmenaTextuVigAuto(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Zasifrovani textu (source) pomoci sifry Vigenere autoklic (jeden znak).
`static java.lang.String` | `zmenaTextuVigLus(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Desifrovani Vigenere sifry pomoci zadanych parametru.
`static java.lang.String` | `zmenaTextuVigLusA(java.lang.String source, java.lang.String klic, java.lang.Boolean bdofive)` Desifrovani Vigenere autoklic sifry pomoci zadanych parametru.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### posunAbecedu

    public static char[] posunAbecedu(char[] abeceda,
                                      int posun)

  Vraci pole charu - upravenou abecedu (posunutou o vstupni parametr).

  Parameters:
    `abeceda` - mezinarodni abeceda
    `posun` - parametr posunu
  Returns:
    mezinarodni abeceda posunuta o parametr

### zmenaTextuSubs

    public static java.lang.String zmenaTextuSubs(java.lang.String source,
                                                  char[] nabcd,
                                                  java.lang.Boolean bdofive)

  Zasifruje vstupni text jednoduchym posunem.

  Parameters:
    `source` - vstupni text
    `nabcd` - sifrovaci abeceda
    `bdofive` - pomocna
  Returns:
    zasifrovany text

### afinni

    public static char[] afinni(char[] abeceda,
                                int a,
                                int b)

  Vytvori novou abecedu afinni sifry.

  Parameters:
    `abeceda` - mezinarodni abeceda
    `a` - parametr 'a' afinni sifry
    `b` - parametr 'b' afinni sifry
  Returns:
    nova abeceda

### monoalfaKlic

    public static char[] monoalfaKlic(char[] abeceda,
                                      char[] vstupniklic)

  Vytvori novou abecedu monoalfabeticke sifry - varianta klic.

  Parameters:
    `abeceda` - mezinarodni abeceda
    `vstupniklic` - klic
  Returns:
    nova abeceda

### nahodnaAbeceda

    public static char[] nahodnaAbeceda(char[] abeceda)

  Vytvori novou abecedu monoalfabeticke sifry - nahodna abeceda.

  Parameters:
    `abeceda` - mezinarodni abeceda
  Returns:
    nova abeceda

### zadaniAbc

    public static char[] zadaniAbc(char[] abeceda,
                                   java.util.List abcd)

  Vytvori novou abecedu monoalfabeticke sifry - zadani abecedy.

  Parameters:
    `abeceda` -
    `abcd` -
  Returns:
    mezinarodni abeceda

### zmenaTextuVig

    public static java.lang.String zmenaTextuVig(java.lang.String source,
                                                 java.lang.String klic,
                                                 java.lang.Boolean bdofive)

  Zasifrovani textu (source) pomoci sifry Vigenere.

  Parameters:
    `source` - zdrojovy text
    `klic` - klic
    `bdofive` - pomocna
  Returns:
    zasifrovany text

### zmenaTextuVigAuto

    public static java.lang.String zmenaTextuVigAuto(java.lang.String source,
                                                     java.lang.String klic,
                                                     java.lang.Boolean bdofive)

  Zasifrovani textu (source) pomoci sifry Vigenere autoklic (jeden znak).

  Parameters:
    `source` - vstupni text
    `klic` - klic
    `bdofive` - pomocna
  Returns:
    zasifrovany text

### zmenaTextuTrans

    public static java.lang.String zmenaTextuTrans(java.lang.String source,
                                                   java.lang.String klic,
                                                   java.lang.Boolean bdofive)

  Zasifrovani textu (source) pomoci sifry jednoducha transpozice.

  Parameters:
    `source` - vstupni text
    `klic` - klic
    `bdofive` - pomocna promenna
  Returns:
    zasifrovany text

### afinniLus

    public static char[] afinniLus(char[] abeceda,
                                   int parametr1,
                                   int parametr2)

  Desifrovani afinni sifry pomoci zadanych parametru.

  Parameters:
    `abeceda` - desifrovaci abeceda
    `parametr1` - parametr afinni sifry
    `parametr2` - parametr afinni sifry
  Returns:
    desifrovany text

### monoalfaKlicLus

    public static char[] monoalfaKlicLus(char[] abeceda,
                                         char[] vstupniklic)

  Vytvoreni desifrovaci abecedy susbtituce (varianta klic)

  Parameters:
    `abeceda` - sifrovaci abeceda
    `vstupniklic` - klicm sifry
  Returns:
    nova abeceda

### zmenaTextuVigLus

    public static java.lang.String zmenaTextuVigLus(java.lang.String source,
                                                    java.lang.String klic,
                                                    java.lang.Boolean bdofive)

  Desifrovani Vigenere sifry pomoci zadanych parametru.

  Parameters:
    `source` - vstupni zasifrovany text
    `klic` - klic sifry
    `bdofive` - pomocna promenna
  Returns:
    desifrovany text

### zmenaTextuVigLusA

    public static java.lang.String zmenaTextuVigLusA(java.lang.String source,
                                                     java.lang.String klic,
                                                     java.lang.Boolean bdofive)

  Desifrovani Vigenere autoklic sifry pomoci zadanych parametru.

  Parameters:
    `source` - vstupni zasifrovany text
    `klic` - klic sifry
    `bdofive` - pomocna promenna
  Returns:
    desifrovany text

### zmenaTextuTransLus

    public static java.lang.String zmenaTextuTransLus(java.lang.String source,
                                                      java.lang.String klic,
                                                      java.lang.Boolean bdofive)

  Desifrovani jednoduche transpozice pomoci zadanych parametru.

  Parameters:
    `source` - vstupni zasifrovany text
    `klic` - klic sifry
    `bdofive` - pomocna promenna
  Returns:
    desifrovany text

### abecedaMezery

    public static java.lang.String abecedaMezery(java.lang.String s)

  Ze Stringu bez mezer vytvori String s mezerami.

  Parameters:
    `s` - vstupni String abecedy
  Returns:
    abeceda

### hledejVzdalenosti

    public static java.lang.String hledejVzdalenosti(java.lang.String text,
                                                     java.lang.String retezec)

  Vyhleda vzdalenosti mezi zadanym opakovanym retezcem v textu (ktery se vyskytuje vicekrat).

  Parameters:
    `text` - vstupni analyzovany text
    `retezec` - hledany retezec
  Returns:

### Xtice

    public static java.lang.String Xtice(java.lang.String text,
                                         int delka,
                                         int odsazeni)

  Vytvori subtext z puvodniho textu (pismena budou ve vzdalenosti 'delka' a posunem zacatku o 'odsazeni').

  Parameters:
    `text` - vstupni text
    `delka` - delka klice
    `odsazeni` - odsazeni od pocatku
  Returns:
    vysledny subtext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD